Index: apps/app_zapscan.c
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/app_zapscan.c,v
retrieving revision 1.18
diff -u -r1.18 app_zapscan.c
--- apps/app_zapscan.c	6 Jun 2005 22:39:32 -0000	1.18
+++ apps/app_zapscan.c	7 Jun 2005 12:55:05 -0000
@@ -65,7 +65,6 @@
 #define CONF_SIZE 160
 
 static struct ast_channel *get_zap_channel_locked(int num) {
-	struct ast_channel *c=NULL;
 	char name[80];
 	
 	snprintf(name,sizeof(name),"Zap/%d-1",num);
Index: channels/chan_sip.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_sip.c,v
retrieving revision 1.755
diff -u -r1.755 chan_sip.c
--- channels/chan_sip.c	6 Jun 2005 22:12:19 -0000	1.755
+++ channels/chan_sip.c	7 Jun 2005 12:55:25 -0000
@@ -8162,6 +8074,7 @@
 /*--- handle_response_register: Handle responses on REGISTER to services ---*/
 static int handle_response_register(struct sip_pvt *p, int resp, char *rest, struct sip_request *req, int ignore, int seqno)
 {
+	int expires, expires_ms;
 	struct sip_registry *r;
 	r=p->registry;
 
@@ -8204,7 +8117,6 @@
 			ast_set_flag(p, SIP_NEEDDESTROY);	
 			return 0;
 		}
-		int expires, expires_ms;
 
 		r->regstate=REG_STATE_REGISTERED;
 		manager_event(EVENT_FLAG_SYSTEM, "Registry", "Channel: SIP\r\nDomain: %s\r\nStatus: %s\r\n", r->hostname, regstate2str(r->regstate));
Index: channels/chan_skinny.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_skinny.c,v
retrieving revision 1.79
diff -u -r1.79 chan_skinny.c
--- channels/chan_skinny.c	6 Jun 2005 22:12:19 -0000	1.79
+++ channels/chan_skinny.c	7 Jun 2005 12:55:28 -0000
@@ -866,12 +866,12 @@
 	struct skinny_device *next;
 } *devices = NULL;
 
-static struct skinny_paging_device {
+struct skinny_paging_device {
 	char name[80];
 	char id[16];
 	struct skinny_device ** devices;
 	struct skinny_paging_device *next;
-} *paging_devices = NULL;
+};
 
 static struct skinnysession {
 	pthread_t t;
@@ -3118,7 +3118,6 @@
 	char *cat;
 	char iabuf[INET_ADDRSTRLEN];
 	struct skinny_device *d;
-	struct skinny_paging_device *p;
 	int oldport = ntohs(bindaddr.sin_port);
 
 #if 0		
